[Gpg4win-commits] r1358 - in trunk: . patches/gpgme-1.2.0
scm-commit@wald.intevation.org
scm-commit at wald.intevation.org
Tue Mar 9 10:43:55 CET 2010
Author: werner
Date: 2010-03-09 10:43:54 +0100 (Tue, 09 Mar 2010)
New Revision: 1358
Added:
trunk/patches/gpgme-1.2.0/04-check-agent.patch
Modified:
trunk/ChangeLog
trunk/Makefile.am
Log:
Hack to start thye agent as a side-effect of a secret key listing.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2010-03-08 13:16:07 UTC (rev 1357)
+++ trunk/ChangeLog 2010-03-09 09:43:54 UTC (rev 1358)
@@ -1,3 +1,12 @@
+2010-03-09 Werner Koch <wk at g10code.com>
+
+ * patches/gpgme-1.2.0/04-check-agent.patch: New.
+ * Makefile.am (EXTRA_DIST): Add patch.
+
+2010-03-05 Werner Koch <wk at g10code.com>
+
+ Release 2.0.2rc2.
+
2010-03-04 Emanuel Schuetze <emanuel.schuetze at intevation.de>
* News: Update kleopatra version number.
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2010-03-08 13:16:07 UTC (rev 1357)
+++ trunk/Makefile.am 2010-03-09 09:43:54 UTC (rev 1358)
@@ -35,6 +35,7 @@
patches/gpgme-1.2.0/01-w32-io-threads.patch \
patches/gpgme-1.2.0/02-inv-signer.patch \
patches/gpgme-1.2.0/03-w32-socket.patch \
+ patches/gpgme-1.2.0/04-check-agent.patch \
patches/winpt/01-gpg-path.patch \
patches/gpgex/01-no-checksums.patch \
patches/gpgex-0.9.5/01-default-no-suffix.patch \
Added: trunk/patches/gpgme-1.2.0/04-check-agent.patch
===================================================================
--- trunk/patches/gpgme-1.2.0/04-check-agent.patch 2010-03-08 13:16:07 UTC (rev 1357)
+++ trunk/patches/gpgme-1.2.0/04-check-agent.patch 2010-03-09 09:43:54 UTC (rev 1358)
@@ -0,0 +1,31 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+2010-03-09 Werner Koch <wk at g10code.com>
+
+ * engine-gpgsm.c (gpgsm_keylist): Try to start the agent.
+
+
+--- src/engine-gpgsm.c (revision 1450)
++++ src/engine-gpgsm.c (working copy)
+@@ -1538,6 +1538,18 @@
+ if (!pattern)
+ pattern = "";
+
++ /* Hack to make sure that the agent is started. Only if the agent
++ has been started an application may connect to the agent via
++ GPGME_PROTOCOL_ASSUAN - for example to look for smartcards. We
++ do this only if a secret key listing has been requested. In
++ general this is not needed because a secret key listing starts
++ the agent. However on a fresh installation no public keys are
++ available and thus there is no need for gpgsm to ask the agent
++ whether a secret key exists for the public key. */
++ if (secret_only)
++ gpgsm_assuan_simple_command (gpgsm->assuan_ctx, "GETINFO agent-check",
++ NULL, NULL);
++
+ /* Always send list-mode option because RESET does not reset it. */
+ if (asprintf (&line, "OPTION list-mode=%d", (list_mode & 3)) < 0)
+ return gpg_error_from_errno (errno);
+
Property changes on: trunk/patches/gpgme-1.2.0/04-check-agent.patch
___________________________________________________________________
Name: svn:executable
+ *
More information about the Gpg4win-commits
mailing list